## edu.stanford.nlp.trees
Class LabeledScoredTreeReaderFactory

    java.lang.Object
      edu.stanford.nlp.trees.LabeledScoredTreeReaderFactory

All Implemented Interfaces:
  TreeReaderFactory

    public class LabeledScoredTreeReaderFactory

extends Object
implements TreeReaderFactory

This class implements a `TreeReaderFactory` that produces labeled, scored array-based Trees, which have been cleaned up to delete empties, etc. This seems to be a common case (for English). By default, the labels are of type CategoryWordTag, but a different Label type can be specified by the user.

Author:
  Christopher Manning

Constructor Summary
`LabeledScoredTreeReaderFactory()` Create a new TreeReaderFactory with CategoryWordTag labels.
`LabeledScoredTreeReaderFactory(LabelFactory lf)`
`LabeledScoredTreeReaderFactory(TreeNormalizer tm)`

Method Summary
`TreeReader` `newTreeReader(Reader in)` An implementation of the `TreeReaderFactory` interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabeledScoredTreeReaderFactory

    public LabeledScoredTreeReaderFactory()

  Create a new TreeReaderFactory with CategoryWordTag labels.

### LabeledScoredTreeReaderFactory

    public LabeledScoredTreeReaderFactory(LabelFactory lf)

### LabeledScoredTreeReaderFactory

    public LabeledScoredTreeReaderFactory(TreeNormalizer tm)

Method Detail

### newTreeReader

    public TreeReader newTreeReader(Reader in)

  An implementation of the `TreeReaderFactory` interface. It creates a `TreeReader` which normalizes trees using the `BobChrisTreeNormalizer`, and makes `LabeledScoredTree` objects with `CategoryWordTag` labels (unless otherwise specified on construction).

  Specified by:
    `newTreeReader` in interface `TreeReaderFactory`
  Parameters:
    `in` - The `Reader` to build on
  Returns:
    The new TreeReader

Stanford NLP Group